{{ define "main" }}

{{ with .Content}}
<section class="Section">
	{{.}}
</section>
{{ end }}

{{ $featuredSection := "companies" }}
{{ $allCompanies := (where .Site.RegularPages "Section" $featuredSection) }}
{{ $firstCompany := (first 1 (sort $allCompanies "Params.created_at" "desc")) }}
{{ $restCompanies := (first 4 (after 1 (sort $allCompanies "Params.created_at" "desc"))) }}

{{ if (isset .Site.Params "featured_taxonomies") }}
<section class="Section">
	<details open>
		<summary>
			Featured tags
		</summary>
		{{ partial "list-taxonomies-featured" . }}
	</details>
</section>
{{ end }}

{{ if (gt (len $firstCompany) 0) }}
<section class="Section">
	<details open>
		<summary>
			Latest {{ $featuredSection }}
		</summary>

		{{ partial "list-companies-jobs.html" $firstCompany }}

		{{ partial "ethical-ad-text.html" . }}

		{{ partial "list-companies-jobs.html" $restCompanies }}

	</details>
</section>
{{ end }}

<section class="Section u-text-right">
	Explore all <a href="/companies">{{ (len $allCompanies) }} {{ $featuredSection }}</a>.
</section>

{{ end }}
